﻿Public Class Graficos : Inherits Collections.CollectionBase

    Public Sub New()

    End Sub


    Default Public Property Item(ByVal index As Integer) As grafico
        Get
            Return CType(List(index), grafico)
        End Get
        Set(ByVal value As grafico)
            List(index) = value
        End Set
    End Property

    Public ReadOnly Property LastItem() As grafico
        Get
            Return CType(List(List.Count - 1), grafico)
        End Get
    End Property


    Public Function Add(ByVal value As grafico) As Integer
        Return List.Add(value)
        Return List.Count
    End Function 'Add

    Public Function IndexOf(ByVal value As grafico) As Integer
        Return List.IndexOf(value)
    End Function 'IndexOf


    Public Sub Insert(ByVal index As Integer, ByVal value As grafico)
        List.Insert(index, value)
    End Sub 'Insert


    Public Sub Remove(ByVal value As grafico)
        List.Remove(value)
    End Sub 'Remove


    Public Function Contains(ByVal value As grafico) As Boolean
        ' If value is not of type Int16, this will return false.
        Return List.Contains(value)
    End Function 'Contains


    Protected Overrides Sub OnInsert(ByVal index As Integer, ByVal value As Object)
        ' Insert additional code to be run only when inserting values.
    End Sub 'OnInsert


    Protected Overrides Sub OnRemove(ByVal index As Integer, ByVal value As Object)
        ' Insert additional code to be run only when removing values.
    End Sub 'OnRemove


    Protected Overrides Sub OnSet(ByVal index As Integer, ByVal oldValue As Object, ByVal newValue As Object)
        ' Insert additional code to be run only when setting values.
    End Sub 'OnSet


    Protected Overrides Sub OnValidate(ByVal value As Object)
        If Not GetType(grafico).IsAssignableFrom(value.GetType()) Then
            Throw New ArgumentException("value must be of type grafico.", "value")
        End If
    End Sub 'OnValidate



End Class
